<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.1.xsd">

    <changeSet id="#50" author="Duy">
        <preConditions onFail="MARK_RAN">
            <not>
                <tableExists tableName="TRANSFER"/>
            </not>
        </preConditions>
        <createTable tableName="TRANSFER">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="CREATEDON" type="TIMESTAMP"/>
            <column name="UPDATEDON" type="TIMESTAMP"/>
            <column name="SENDER_ID" type="BIGINT"/>
            <column name="RECEIVER_ID" type="BIGINT"/>
            <column name="RECEIVERNAME" type="VARCHAR(255)"/>
            <column name="USAGESTR" type="VARCHAR(255)"/>
            <column name="AMOUNT" type="DOUBLE"/>
        </createTable>
        <addNotNullConstraint tableName="TRANSFER" columnName="SENDER_ID" columnDataType="BIGINT"/>
        <addNotNullConstraint tableName="TRANSFER" columnName="RECEIVER_ID" columnDataType="BIGINT"/>
        <addForeignKeyConstraint baseTableName="TRANSFER" baseColumnNames="SENDER_ID" constraintName="fk_sender_account"
                                 referencedTableName="ACCOUNT" referencedColumnNames="ID"/>
        <addForeignKeyConstraint baseTableName="TRANSFER" baseColumnNames="RECEIVER_ID" constraintName="fk_receiver_account"
                                 referencedTableName="ACCOUNT" referencedColumnNames="ID"/>
    </changeSet>
</databaseChangeLog>